<?php
/**
 * sample code for GiroCheckout integration of a giropay + giropay-ID transaction
 *
 * @filesource
 * @package Samples
 * @version $Revision: 146 $ / $Date: 2016-05-11 16:47:29 -0300 (Mi, 11 Mai 2016) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 350000;
$projectID = 8846;
$projectPassword = "LbiII3ASvAS3lNY5xS98";

echo "<h1>Test Redirect</h1>";

/* init giropay transaction an parameters */
try {
  
  $data = $_GET;
  $notify = new GiroCheckout_SDK_Notify('giropayTransaction');
  $notify->setSecret($projectPassword);
  $notify->parseNotification($data);  

  $iReturnCode = $notify->getResponseParam('gcResultPayment');
  $iReturnCodeAVS = $notify->getResponseParam('gcResultAVS');
  
  //check if payment was successful.
  if( $notify->paymentSuccessful() ) {
    echo "Payment successful, Return code: $iReturnCode, AVS: $iReturnCodeAVS<br/>";
  }
  else {
    echo "Payment failed, Return code: $iReturnCode, AVS: $iReturnCodeAVS<br/>";    
  }

}
catch (Exception $e) { echo $e->getMessage(); }